Bug 240255 - Review Comments for Installation Guide - JBEAP 05/15/07 nightly build
Review Comments for Installation Guide - JBEAP 05/15/07 nightly build
Status: CLOSED RAWHIDE
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: doc-Installation_Guide (Show other bugs)
4.2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 22:47 EDT by Shelly McGowan
Modified: 2014-10-19 18:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 04:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shelly McGowan 2007-05-15 22:47:49 EDT
Description of problem:
These are review comments based on the Installation Guide provided in the JBEAP
05/15/07 nightly build distribution: 
Version-Release number of selected component (if applicable):
jboss-eap-docs-4.2.0-0.1.RC4.2.zip 

Section 1.1:  The reference to link http://jboss.com/partners/certifiedcatalog
- has this been verified that this is relevant and complete for the Platform Release

References to JDK 1.5 and JDK 5.0 should be used consistently


Table 2.1:  Hibernate version should be 3.2.3.  Hibernate Entity Manager and
Hibernate Annotations are 3.2.1

There are different distinctions between the zip, rpm, and GUI Installer
distributions.  Note:

Chapter 4:  References to enterprise-installer-4.2.0-BETA.jar.  Need to find out
final name of the file to use the correct file name for the distribution.
While the screen shots are references, I don't think it should contain the BETA
name in it.

Chapter 5:  When the zip distribution is used, refer to the name of the zip 

Change the statement:  You should now have a directory called
EnterprisePlatform-4.2.0-BETA.   It should be:
You should now have a directory called:  jboss-eap-4.2

Chapter 6:  The Uninstaller/uninstaller.jar will only be provided if the
Installation was done using GUI Installer.  Also with the GUI Installer you can
suggest to use the "Uninstall Platform" option if a Program Group was created on
Linux or Windows platforms.

Chapter 7.  If the zip distribution is used, you will have a directory called
jboss-eap-4.2.   If the GUI Installer is used, it will be the directory entered
when prompted.

again, Uninstaller/uninstaller.jar is only provided if a GUI Install was
performed.  You may want to document how to uninstall if zip was used (just
delete it) or rpms.

Missing jboss-as/seam directory and its' description of the content.

Also, this shows that there is a doc directory.  The doc directory only gets
created with the GUI Installer installation.  If zip is used, you need to unzip
the doc zip distribution.  If rpms are used, you need to install the doc rpms
eap and seam. The rpms are optional and must be explicitly installed.  This
issue is a catch-22 as you would not be reading the doc if you didn't install
the docs as a separate step.  How are customers going to be informed by that -
it was done in Release Notes in Beta.  We may need to do the same for GA.
Comment 1 David Vrzalik 2007-05-17 09:39:26 EDT
It isn't crucial, but the console output in chapter 9 should be also updated 
to reflect GA release.
Comment 2 Joshua Wulf 2007-05-31 20:44:11 EDT
The changes noted above have been made to the Installation Guide, and were
incorporated from the 18th of May.

Note You need to log in before you can comment on or make changes to this bug.